# v6.16から追加されたCGギャラリーのナビゲーションボタンを、マウスを近づけた時の
# み表示するようにします。

# 20200322 v7.35.606に対応
# 220730 v7.5.1に対応 gallery_navigationスクリーンを上書きするよう変更
screen gallery_navigation(gallery):
    on "show" action Show("_gallery_menu", gallery=gallery, atl=_first_gallery_menu_atl)
    mousearea:
        area (0, .7, 1.0, .3)
        hovered Show("_gallery_menu", gallery=gallery, atl=_gallery_menu_show)
        unhovered Show("_gallery_menu", gallery=gallery, atl=_gallery_menu_hide)

screen _gallery_menu(gallery, atl):
    hbox:
        style_group "alter_gallery"
        align (.98, .98)
        at atl

        textbutton _("prev") action gallery.Previous(unlocked=gallery.unlocked_advance)
        textbutton _("next") action gallery.Next(unlocked=gallery.unlocked_advance)
        textbutton _("slideshow") action gallery.ToggleSlideshow()
        textbutton _("return") action gallery.Return()

transform _first_gallery_menu_atl:
    yoffset 50
    ease .2 yoffset 0
    pause 3
    ease .2 yoffset 50

transform _gallery_menu_show:
    ease .2 yoffset 0

transform _gallery_menu_hide:
    ease .2 yoffset 50

style alter_gallery is gallery
